local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
a.SetSpamFunction(function() a.RunSpamTable()
	
	local spec = s.Spec()
	a.Flash("Dark Intent")
	a.Flash("Pet Attack")
	a.Flash("Pet Assist")
	if spec == 1 then
		-- Affliction
		a.Flash("Summon Felhunter ooc")
		a.Flash("Curse of the Elements",
		        "Dark Soul: Misery",
				"Grimoire: Felhunter", "Grimoire of Sacrifice",
				"Summon Felhunter (Sacrifice down)",
				"Summon Doomguard", "Summon Terrorguard",
				"Soulburn at start & end of Dark Soul",
				"Soul Swap with Soulburn",
				"Haunt",
				"Agony refresh early if not channeling",
				"Corruption refresh early if not channeling",
				"Unstable Affliction refresh early if not channeling",
				"Agony",
				"Corruption",
				"Unstable Affliction",
				"Drain Soul as finisher",
				"Life Tap if mana < 35%",
				"Malefic Grasp",
				"Life Tap while moving if mana < 80%",
				"Fel Flame while moving",
				"Life Tap")
	elseif spec == 2 then
		-- Demonology
		a.Flash("Summon Felguard ooc")
		a.Flash("Curse of the Elements",
		        "Dark Soul: Knowledge",
				"Grimoire: Felguard", "Grimoire of Sacrifice",
				"Summon Felguard (Sacrifice down)",
				"Felstorm", "Wrathstorm",
				"Summon Doomguard", "Summon Terrorguard",
				"Corruption",
				"Doom",
				"Metamorphosis",
				"Cancel Metamorphosis",
				"Imp Swarm",
				"Hand of Gul'dan",
				"Soul Fire",
				"Touch of Chaos",
				"Life Tap Demo",
				"Shadow Bolt",
				"Fel Flame while moving",
				"Life Tap")
	elseif spec == 3 then
		-- Destruction
		a.Flash("Summon Felhunter ooc")
		a.Flash("Curse of the Elements",
		        "Dark Soul: Instability",
				"Grimoire: Felhunter", "Grimoire of Sacrifice",
				"Summon Felhunter (Sacrifice down)",
				"Summon Doomguard", "Summon Terrorguard",
				"Shadowburn",
				"Chaos Bolt",
				"Conflagrate",
				"Immolate",
				"Incinerate")
	else
		print("no active Spec")
	end
end)

